### Function

# Secret attributes_validate

#### Declaration [src]

    gboolean
    secret_attributes_validate (
      const SecretSchema* schema,
      GHashTable* attributes,
      GError** error
    )

#### Description [src]

Check if attributes are valid according to the provided schema.

Verifies schema name if available, attribute names and parsing of attribute values.

#### Parameters

`schema`

  Type: `SecretSchema`

  The schema for the attributes.

  The data is owned by the caller of the function.

`attributes`

  Type: `GHashTable`

  The attributes to be validated.

  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether or not the given attributes table is valid.